# Properties ## Get metadata properties by object type `client.prism.properties.list("deal" | "identity" | "ai_chat_thread" | 6 moreobjectType, PropertyListParamsparams?, RequestOptionsoptions?): PropertyListResponse` **get** `/v2/prism/{teamId}/{objectType}/properties` Get metadata properties by object type ### Parameters - `objectType: "deal" | "identity" | "ai_chat_thread" | 6 more` - `"deal"` - `"identity"` - `"ai_chat_thread"` - `"ai_chat_message"` - `"document"` - `"action"` - `"event"` - `"organization"` - `"contact"` - `params: PropertyListParams` - `teamId?: string` Path param - `autofill?: boolean` Query param - `list_id?: string` Query param: Scope properties to a specific list/app. - `term?: string` Query param ### Returns - `PropertyListResponse = Record` Property definitions keyed by object type, then by property definition id (UUID). When the request scopes to a single object type, only that key is present. ### Example ```typescript import Micro from '@micro-so/sdk'; const client = new Micro({ teamID: 'My Team ID', apiKey: process.env['MICRO_API_KEY'], // This is the default and can be omitted }); const properties = await client.prism.properties.list('deal'); console.log(properties); ``` #### Response ```json { "foo": {} } ``` ## Get metadata properties `client.prism.properties.listAll(PropertyListAllParamsparams?, RequestOptionsoptions?): PropertyListAllResponse` **get** `/v2/prism/{teamId}/properties` Get metadata properties ### Parameters - `params: PropertyListAllParams` - `teamId?: string` Path param - `autofill?: boolean` Query param - `list_id?: string` Query param: Scope properties to a specific list/app. - `term?: string` Query param ### Returns - `PropertyListAllResponse = Record` Property definitions keyed by object type, then by property definition id (UUID). When the request scopes to a single object type, only that key is present. ### Example ```typescript import Micro from '@micro-so/sdk'; const client = new Micro({ teamID: 'My Team ID', apiKey: process.env['MICRO_API_KEY'], // This is the default and can be omitted }); const response = await client.prism.properties.listAll(); console.log(response); ``` #### Response ```json { "foo": {} } ``` ## Domain Types ### Property List Response - `PropertyListResponse = Record` Property definitions keyed by object type, then by property definition id (UUID). When the request scopes to a single object type, only that key is present. ### Property List All Response - `PropertyListAllResponse = Record` Property definitions keyed by object type, then by property definition id (UUID). When the request scopes to a single object type, only that key is present.